com.holonplatform.datastore.jpa.querydsl.internal

## Class DefaultQueryDslCommodity

- java.lang.Object
- - com.holonplatform.datastore.jpa.querydsl.internal.DefaultQueryDslCommodity

- All Implemented Interfaces:
    com.holonplatform.core.datastore.DatastoreCommodity, QueryDsl, Serializable

      public class DefaultQueryDslCommodity
      extends Object
      implements QueryDsl

  Default `QueryDsl` commodity implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultQueryDslCommodity(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JpaDeleteClause` | `delete(com.querydsl.core.types.EntityPath<?> entity)` Create a new DELETE clause.
    `DefaultJpaQuery<?>` | `query()` Create a new query.
    `JpaUpdateClause` | `update(com.querydsl.core.types.EntityPath<?> entity)` Create a new UPDATE clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDsl

      `from, from, select, select, selectDistinct, selectDistinct, selectFrom, selectOne, selectZero`

- - ### Constructor Detail

    - #### DefaultQueryDslCommodity

          public DefaultQueryDslCommodity(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext)

  - ### Method Detail

    - #### query

          public DefaultJpaQuery<?> query()

      Description copied from interface: `QueryDsl`
      Create a new query.
      Specified by:
        `query` in interface `QueryDsl`
      Returns:
        A new `JpaQuery`

    - #### update

          public JpaUpdateClause update(com.querydsl.core.types.EntityPath<?> entity)

      Description copied from interface: `QueryDsl`
      Create a new UPDATE clause.
      Specified by:
        `update` in interface `QueryDsl`
      Parameters:
        `entity` - Entity to update (not null)
      Returns:
        A new update clause

    - #### delete

          public JpaDeleteClause delete(com.querydsl.core.types.EntityPath<?> entity)

      Description copied from interface: `QueryDsl`
      Create a new DELETE clause.
      Specified by:
        `delete` in interface `QueryDsl`
      Parameters:
        `entity` - Entity to delete from (not null)
      Returns:
        A new delete clause

Copyright © 2019 The Holon Platform. All rights reserved.